"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const chalk_1 = tslib_1.__importDefault(require("chalk"));
const practical_logger_core_1 = require("@offirmo/practical-logger-core");
const MIN_WIDTH = 7;
function to_aligned_ascii(level) {
    let lvl = level.toUpperCase();
    /*while (lvl.length <= MIN_WIDTH - 2) {
        lvl = ' ' + lvl + ' '
    }*/
    if (lvl.length < MIN_WIDTH)
        lvl = (lvl + '         ').slice(0, MIN_WIDTH);
    return lvl;
}
exports.LEVEL_TO_ASCII = {
    fatal: chalk_1.default.bgRed.white.bold(to_aligned_ascii(' ' + practical_logger_core_1.LOG_LEVEL_TO_HUMAN['fatal'])),
    emerg: chalk_1.default.bgRed.white.bold(to_aligned_ascii(practical_logger_core_1.LOG_LEVEL_TO_HUMAN['emerg'])),
    alert: chalk_1.default.bgRed.white.bold(to_aligned_ascii(' ' + practical_logger_core_1.LOG_LEVEL_TO_HUMAN['alert'])),
    crit: chalk_1.default.bgRed.white.bold(to_aligned_ascii(practical_logger_core_1.LOG_LEVEL_TO_HUMAN['crit'])),
    error: chalk_1.default.red.bold(to_aligned_ascii(practical_logger_core_1.LOG_LEVEL_TO_HUMAN['error'])),
    warning: chalk_1.default.yellow.bold(to_aligned_ascii(practical_logger_core_1.LOG_LEVEL_TO_HUMAN['warning'])),
    warn: chalk_1.default.yellow.bold(to_aligned_ascii(practical_logger_core_1.LOG_LEVEL_TO_HUMAN['warn'])),
    notice: chalk_1.default.blue(to_aligned_ascii(practical_logger_core_1.LOG_LEVEL_TO_HUMAN['notice'])),
    info: chalk_1.default.blue(to_aligned_ascii(practical_logger_core_1.LOG_LEVEL_TO_HUMAN['info'])),
    verbose: to_aligned_ascii(practical_logger_core_1.LOG_LEVEL_TO_HUMAN['verbose']),
    log: to_aligned_ascii(practical_logger_core_1.LOG_LEVEL_TO_HUMAN['log']),
    debug: to_aligned_ascii(practical_logger_core_1.LOG_LEVEL_TO_HUMAN['debug']),
    trace: chalk_1.default.dim(to_aligned_ascii(practical_logger_core_1.LOG_LEVEL_TO_HUMAN['trace'])),
    silly: chalk_1.default.dim(to_aligned_ascii(practical_logger_core_1.LOG_LEVEL_TO_HUMAN['silly'])),
};
exports.LEVEL_TO_STYLIZE = {
    fatal: s => chalk_1.default.red.bold(s),
    emerg: s => chalk_1.default.red.bold(s),
    alert: s => chalk_1.default.red.bold(s),
    crit: s => chalk_1.default.red.bold(s),
    error: s => chalk_1.default.red.bold(s),
    warning: s => chalk_1.default.yellow(s),
    warn: s => chalk_1.default.yellow(s),
    notice: s => chalk_1.default.blue(s),
    info: s => chalk_1.default.blue(s),
    verbose: s => s,
    log: s => s,
    debug: s => s,
    trace: s => chalk_1.default.dim(s),
    silly: s => chalk_1.default.dim(s),
};
//# sourceMappingURL=common.js.map